Skip to main content
GET
/
v2
/
studio
/
deployment
List deployments
curl --request GET \
  --url https://api.neynar.com/v2/studio/deployment/ \
  --header 'x-api-key: <api-key>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "generated_app_exists": true,
    "generated_app_serving": true,
    "id": "<string>",
    "is_ready": true,
    "name": "<string>",
    "namespace": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "display_name": "<string>",
    "github_url": "<string>",
    "has_database": true,
    "production_app_status": {
      "created_at": 123,
      "deployment_state": "<string>",
      "deployment_url": "<string>",
      "project_id": "<string>",
      "target": "<string>"
    },
    "url": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.neynar.com/llms.txt

Use this file to discover all available pages before exploring further.

The Miniapp Studio API is an allowlisted API and not publicly available. Contact the Neynar team for more information.

Node.js SDK

šŸ”— SDK Method: listDeployments Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

fid
integer<int32>

Farcaster ID of the user. Required for non-admin users. Studio admins can omit to query all deployments.

Required range: x >= 0
Example:

3

limit
integer
default:50

Maximum number of deployments to return. Defaults to 50, max 1000.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of deployments to skip for pagination. Defaults to 0.

Required range: x >= 0
query
string

Search string to filter deployments by name, display name, or FID.

sort_by
enum<string>
default:updated_at

Field to sort deployments by. Defaults to updated_at (most recently updated first).

Available options:
created_at,
updated_at
include_deleted
boolean
default:false

Include deleted deployments in the response. Defaults to false.

Response

Success

created_at
string<date-time>
required

Creation timestamp

deleted_at
string<date-time> | null
required

Deletion timestamp

generated_app_exists
boolean
required

Whether a generated app exists in the deployment

generated_app_serving
boolean
required

Whether the generated app is currently serving

id
string
required

Deployment ID

is_ready
boolean
required

Deployment is ready to serve app and accept prompts

name
string
required

Kubernetes deployment name

namespace
string
required

Kubernetes namespace

updated_at
string<date-time> | null
required

Last update timestamp

dev_server_state
enum<string>

Dev server process state: stopped, starting, running, crashed, or hung

Available options:
stopped,
starting,
running,
crashed,
hung
display_name
string

Display name for the project

github_url
string

GitHub repository SSH URL

has_database
boolean

Whether the deployment has a Neon database configured

production_app_status
object

Production app deployment status from Vercel

url
string<uri>

Public URL for the deployment